SET FOREIGN_KEY_CHECKS=0;

CREATE TABLE IF NOT EXISTS `sys_user_post` (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `post_id` bigint NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`,`post_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='用户与岗位关联表';
 
INSERT IGNORE INTO `sys_user_post` VALUES (1,1),(2,2);

SET FOREIGN_KEY_CHECKS=1;